www.digitalmars.com         C & C++   DMDScript  

c++.stlsoft - Pantheios 1.0.1 (beta 164) released: breaking changes!

Pantheios is an Open Source C/C++ Logging API library, offering an optimal
combination of 100% type-safety, efficiency, genericity and extensibility. It
is simple to use and extend, highly-portable (platform and
compiler-independent) and, best of all, it upholds the C tradition of you only
pay for what you use.

Pantheios supports logging of message statements of arbitrary complexity,
consisting of heterogeneous types.

Pantheios supports filtering of log messages based on severity level including
(but not limited to) the eight levels defined by the SysLog protocol.

Pantheios supports back-end output, individually and in combination, to
stderr/stdout, SysLog (including a custom implementation of the SysLog protocol
for Windows), Windows debugger, Windows event log, COM Error Object, Speech, or
any custom back-end extension you care to write. Importantly, Pantheios is
readily extended to use the existing transport mechanisms of feature-rich
logging libraries such as ACE, log4cpp, log4cplus, log4cxx.

Pantheios does not contain any compiler-specific or platform-specific
constructs. It supports UNIX (including Linux and Mac OS-X), and Windows, and
should work with any operating system. It is known to be compatible with
Borland (5.5.1+), Comeau (4.3.3+), Digital Mars (8.45+), GCC (3.2+), Intel
(6+), Metrowerks (8+), Microsoft Visual C++ (5.0+), and should work with any
reasonably modern C++ compiler.

Pantheios is completely free and includes source released under a BSD-style
license. Commercial customisations (of front-/back-ends are provided by Synesis
Software Pty Ltd; http://synesis.com.au/contact.html)

Release 1.0.1 beta 164 incorporates:
 * several changes to ensure that the suppression of stock severity levels is
complete, and that the definition of custom severity levels is clean and may
use the pantheios::levels constant generator class template
 * the pantheios::util::backends::Context base class is altered in two ways to
facilitate a wider range of severity levels than is provided by the stock
 * the deprecated file include/pantheios/error_codes.h now issues a #error if
included, in preparation for final removal
 * NOTE: These are breaking changes: any programs that define custom back-ends
based on pantheios::util::backends::Context must be modified, recompiled and

Dependencies: This release of Pantheios requires STLSoft 1.9.57, or later.
Download from http://stlsoft.org/

Download from: http://sourceforge.net/project/showfiles.php?group_id=141831&package_id=155759

Discuss at: http://sourceforge.net/forum/forum.php?forum_id=475313

Pantheios website: http://pantheios.org/
Oct 11 2008